@echo off
title Optimisation Maximale Windows 11
echo Optimisation en cours...

:: 1. Fermer les processus inutiles
echo Fermeture des processus inutiles...
for /f "tokens=1,*" %%A in ('tasklist /FI "STATUS eq running" /FI "USERNAME ne N/A" /FO TABLE /NH') do (
    if not "%%A"=="explorer.exe" (
        if not "%%A"=="dwm.exe" (
            if not "%%A"=="taskmgr.exe" (
                taskkill /F /IM "%%A" >nul 2>&1
            )
        )
    )
)

:: 2. Désactiver les services inutiles
echo Désactivation des services inutiles...
set servicesToDisable=DiagTrack SysMain Fax WSearch XblGameSave XboxNetApiSvc RetailDemo PrintSpooler
for %%S in (%servicesToDisable%) do (
    sc stop %%S >nul 2>&1
    sc config %%S start= disabled >nul 2>&1
)

:: 3. Supprimer les applications inutiles
echo Suppression des applications inutiles...
set appsToRemove=Microsoft.BingNews Microsoft.XboxGameOverlay Microsoft.ZuneMusic Microsoft.ZuneVideo Microsoft.GetHelp Microsoft.OneDrive Microsoft.People Microsoft.MicrosoftEdge.Stable
for %%A in (%appsToRemove%) do (
    powershell -Command "Get-AppxPackage -Name %%A -AllUsers | Remove-AppxPackage -ErrorAction SilentlyContinue"
    powershell -Command "Get-AppxProvisionedPackage -Online | Where-Object DisplayName -like '%%A' | Remove-AppxProvisionedPackage -Online -ErrorAction SilentlyContinue"
)

:: 4. Nettoyage des fichiers temporaires
echo Nettoyage des fichiers temporaires...
del /s /q %temp%\* >nul 2>&1
del /s /q C:\Windows\Temp\* >nul 2>&1

:: 5. Configuration des paramètres système
echo Configuration des paramètres système...
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\VisualEffects" /v VisualFXSetting /t REG_DWORD /d 2 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" /v TaskbarAnimations /t REG_DWORD /d 0 /f
reg add "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management" /v ClearPageFileAtShutdown /t REG_DWORD /d 1 /f
reg add "HKLM\SYSTEM\CurrentControlSet\Control\FileSystem" /v NtfsDisableLastAccessUpdate /t REG_DWORD /d 1 /f

:: 6. Désactiver les effets visuels
echo Désactivation des effets visuels...
reg add "HKCU\Control Panel\Desktop" /v DragFullWindows /t REG_SZ /d 0 /f
reg add "HKCU\Control Panel\Desktop" /v FontSmoothing /t REG_SZ /d 0 /f
reg add "HKCU\Control Panel\Desktop" /v MenuShowDelay /t REG_SZ /d 0 /f

:: 7. Configuration du mode d'alimentation
echo Configuration du mode d'alimentation en Haute Performance...
powercfg /setactive SCHEME_MIN >nul 2>&1

:: 8. Nettoyage de la RAM
echo Libération de la mémoire RAM...
powershell -Command "[System.GC]::Collect(); [System.GC]::WaitForPendingFinalizers()"

echo Optimisation terminée. Redémarrage recommandé pour appliquer toutes les modifications.
pause
